using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace SchoolManagementSidekick
{
    public partial class Person
    {
        [Required]
        [Key]
        public int PersonId { get; set; }

        [StringLength(50)]
        public string LastName { get; set; } = String.Empty;

        [StringLength(50)]
        public string FirstName { get; set; } = String.Empty;

        public DateTime? HireDate { get; set; }

        public DateTime? EnrollmentDate { get; set; }

        [StringLength(50)]
        public string Discriminator { get; set; } = String.Empty;

    }
}
